<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="IndexImage" description="Индексная картинка"
	fileName="NPCIndexImage.jar" className="org.mati.npc.faces.indeximage.NPCIndexImage"
	version="8877" time="17.02.2009 01:05:43">

	<!--INLINKS BEGIN-->
	<INLink name="InFaceComponent" description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>

	<INLink name="IndexControl"
		description="Связь с компонентом контроллер индексной картинки."
		interfaceName="org.mati.npc.components.interfaces.indeximage.IndexView"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutFaceComponent" description="Связь с компонетом представления"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="0" nullable="true" />
	<OUTLink name="OutIndexControl" description="Исходящая связь для управления изображения"
		interfaceName="org.mati.npc.components.interfaces.indeximage.IndexControl"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="ImageFile" description="Путь к изображению(GIF, JPEG, PNG)."
		type="java.io.File" nullable="false">
	</Attribute>
	<Attribute name="IndexImageFile"
		description="Путь к индексному изображению(GIF, JPEG, PNG)." type="java.io.File"
		nullable="false">
	</Attribute>
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)"
		defaultValue="0"
		type="java.lang.Integer" nullable="false">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="800"
		nullable="false">
	</Attribute>
	<Attribute name="SizeHeight" description="Высота" type="java.lang.Integer"
		defaultValue="600"
		nullable="false">
	</Attribute>

	<!--PROPERTIES END-->

</ClassComponent>